<?php
/**
 * Account Manager For L2j Server
 * @author Lauri Lüüs <mad@webpoint.ee>
 * @version $Id: ac_manager.php 9 2005-05-26 16:06:47Z madest $
 * @package AccountManager
 * @filesource
 */

set_error_handler('myErrorHandler', E_WARNING | E_NOTICE);

function myErrorHandler($errno, $errstr, $errfile, $errline, $errcontext)
{
	global $old_error_handler;
	static $error_level = array( E_WARNING => 'Warning', E_NOTICE => 'Notice' );

	if (error_reporting() & $errno) {
		$errfile = substr($errfile, strlen(dirname(__FILE__))+1);
		$errfile = preg_replace('/\\\/', '/', $errfile);	//for Windows
		$errfile = '/var/www/html/acm/'.$errfile; 		// :-)
		echo "\n<br><b>$error_level[$errno]</b>: $errstr in <b>$errfile</b> on line <b>$errline</b>\n";
	}
}

/**
 * Include main
 */
include('classes/manager.php');
$ACM = new Manager();
?>